Okta Privileged Access
/- Retrieve a project password policy for database resources
List all projects in a resource group
Create a project in a resource group
Retrieve a project from a resource group
Update a project in a resource group
Delete a project from a resource group
List all Active Directory accounts in a project
Retrieve the checkout settings for an Active Directory account resource group project
Update the checkout settings for an Active Directory account resource group project
Retrieve a project password policy for Active Directory resources
Update a project password policy for Active Directory resources
Cancel pending password rotations in bulk for a project
Rotate resource passwords in bulk for a project
List all resources checked out in a project
Check in a resource
List all database accounts in a project
Retrieve database checkout settings for a project
Update the database checkout settings for a project
Update a project password policy for database resources
Retrieve the checkout settings for a Universal Directory resource group project
Update the checkout settings for a Universal Directory resource group project
Retrieve a project password policy for Universal Directory resources
Update a project password policy for Universal Directory resources
Rotate the password for a given resource in a project
Retrieve the checkout settings for a SaaS app resource group project
Update the checkout settings for a SaaS app resource group project
Retrieve a project password policy for SaaS app resources
Update a project password policy for SaaS app resources
List all server accounts in a project
Retrieve a server account
Retrieve the checkout settings for a server resource group project
Update the checkout settings for a server resource group project
List all server enrollment tokens in a project
Create a server enrollment token
Retrieve a server enrollment token
Delete a server enrollment token
Retrieve project password policy for server accounts
Update project password policy for server accounts
List all server accounts for a server
Import the resource password in a project
Retrieve a project passwo...
OPA roles:
- resource_admin
- delegated_resource_admin
Retrieves a project password policy for database resources in a resource group
Security
bearerAuth
- Production serverhttps://{org_name}.pam.okta.com/v1/teams/{team_name}/resource_groups/{resource_group_id}/projects/{project_id}/database_password_settings
curl -i -X GET \
'https://{org_name}.pam.okta.com/v1/teams/{team_name}/resource_groups/{resource_group_id}/projects/{project_id}/database_password_settings' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'OK
If true, account passwords are rotated according to the periodic_rotation_duration_in_seconds property
A UTC timestamp that indicates when the password policy was last modified
Controls how accounts are selected. Currently, only ALL is supported. All database accounts are rotated.
Value:"ALL"
Response
{ "enable_periodic_rotation": true, "modified_at": "2019-08-24T14:15:22Z", "periodic_rotation_account_selector_mode": "ALL", "periodic_rotation_duration_in_seconds": 0 }